head	1.2;
access;
symbols
	RELEASE_4_10_0:1.1
	RELEASE_5_2_1:1.1
	RELEASE_5_2_0:1.1
	RELEASE_4_9_0:1.1
	RELEASE_5_1_0:1.1;
locks; strict;
comment	@# @;


1.2
date	2004.08.29.15.00.35;	author jkoshy;	state dead;
branches;
next	1.1;

1.1
date	2003.03.30.00.48.14;	author jkoshy;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Upgrade to v110.48.

Submitted by:	Johannes 5 Joemann <joemann@@beefree.free.de> [MAINTAINER]
@
text
@--- src/runtime/config/gen-posix-names.sh.orig	Mon Nov 27 14:24:39 2000
+++ src/runtime/config/gen-posix-names.sh	Tue Mar 11 23:09:11 2003
@@@@ -39,17 +39,20 @@@@
   echo "#include <unistd.h>" > $SRCFILE
   $CPP $SRCFILE > $INCLFILE
   rm -f $SRCFILE
-elif [ -r "/usr/include/sys/unistd.h" ]; then
-  INCLFILE=/usr/include/sys/unistd.h
-elif [ -r "/usr/include/confname.h" ]; then
-  INCLFILE=/usr/include/confname.h
-elif [ -r "/usr/include/unistd.h" ]; then
-  INCLFILE=/usr/include/unistd.h
-elif [ -r "/usr/include/bsd/unistd.h" ]; then
-  INCLFILE=/usr/include/bsd/unistd.h
 else
-  echo "gen-posix-names.sh: unable to find <unistd.h>"
-  exit 1
+  INCLFILE=""
+  for f in "/usr/include/sys/unistd.h" \
+    "/usr/include/confname.h"          \
+    "/usr/include/unistd.h"            \
+    "/usr/include/bsd/unistd.h"; do
+    if [ -r "$f" ]; then
+      INCLFILE="$INCLFILE $f"
+    fi
+  done
+  if [ -z "$INCLFILE" ]; then
+    echo "gen-posix-names.sh: unable to find <unistd.h>"
+    exit 1
+  fi
 fi
 
 echo "/* $OUTF" >> $OUTF
@


1.1
log
@- Unbreak for 5-CURRENT
- calm processor warnings for assembler code on 5-CURRENT
- mark the Alpha as currently unsupported
- update WWW: link.

Submitted by:	Johannes 5 Joemann <joemann@@beefree.free.de> [MAINTAINER]
@
text
@@

